import type { GenericAbortSignal } from 'axios'
import { post } from '@/utils/request'
export function fetchSession<T>() {
	return post<T>({
		url: '/session',
	})
}


export function fetchChatAPIProcess<T = any>(
	params: {
		prompt: string
		options?: { conversationId?: string; parentMessageId?: string }
		signal?: GenericAbortSignal
		MessageId?:string,
		ConversationID?:string,
	}
) {
	return post<T>({
		url: '/v1/chat',
		data: {'role':'user','content':params.prompt,'message_id':params.MessageId,'conversation_id':params.ConversationID},
		signal: params.signal,
	})
}
